﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;
using MM.Monitor.Client;

namespace MM.Monitor.Plugins
{
    public partial class ConfigurationForm : Form
    {
        private IDataStore dataStore;

        public ConfigurationForm(IDataStore dataStore)
        {
            this.dataStore = dataStore;

            InitializeComponent();

            string ownerSetting = dataStore.GetValueForKey("Owner");
            textBoxOwner.Text = ownerSetting;// == null ? null : ownerSetting;

            string manufacturerSetting = dataStore.GetValueForKey("Manufacturer");
            textBoxManufacturer.Text = manufacturerSetting == null ? null : manufacturerSetting;
        }

        private void bOK_Click(object sender, EventArgs e)
        {
            dataStore.SetValueForKey("Owner", textBoxOwner.Text);
            dataStore.SetValueForKey("Manufacturer", textBoxManufacturer.Text);
        }
    }
}
